Package org.apache.sling.models.spi.injectorspecific

# Interface InjectAnnotationProcessorFactory

@Deprecated @ConsumerType public interface InjectAnnotationProcessorFactory
Deprecated.
Use `StaticInjectAnnotationProcessorFactory` preferably or in case of a dependency to the adaptable `InjectAnnotationProcessorFactory2`
Factory for `InjectAnnotationProcessor` that is evaluated at runtime for each sling model adaption and may depend on the adaptable.

## Method Summary

Modifier and Type
Method
Description
`InjectAnnotationProcessor`
`createAnnotationProcessor(Object adaptable, AnnotatedElement element)`
Deprecated.

## Method Details

### createAnnotationProcessor

InjectAnnotationProcessor createAnnotationProcessor(Object adaptable, AnnotatedElement element)
Deprecated.

Parameters:
  `adaptable` - the object from which this model is adapted
  `element` - the field or method which is annotated
Returns:
  a ModelAnnotationProcessor in case there is a known injector-specific annotation on the given element found otherwise null. This method should return a `InjectAnnotationProcessor2` preferably.